1.0.2 API documentation: GLM_GTX_fast_square_root

| 1.0.2 API documentation

Functions
GLM_GTX_fast_square_root
Experimental extensions

## Functions
template<typename genType >
GLM_FUNC_DECL genType | fastDistance (genType x, genType y)
| Faster than the common distance function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | fastDistance (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Faster than the common distance function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastInverseSqrt (genType x)
| Faster than the common inversesqrt function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastInverseSqrt (vec< L, T, Q > const &x)
| Faster than the common inversesqrt function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastLength (genType x)
| Faster than the common length function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | fastLength (vec< L, T, Q > const &x)
| Faster than the common length function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastNormalize (genType x)
| Faster than the common normalize function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastNormalize (vec< L, T, Q > const &x)
| Faster than the common normalize function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastSqrt (genType x)
| Faster than the common sqrt function but less accurate. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastSqrt (vec< L, T, Q > const &x)
| Faster than the common sqrt function but less accurate. More...

## Detailed Description

Include <glm/gtx/fast_square_root.hpp> to use the features of this extension.

Fast but less accurate implementations of square root based functions.

- Sqrt optimisation based on Newton's method, www.gamedev.net/community/forums/topic.asp?topic id=139956

## Function Documentation

## ◆ fastDistance() [1/2]

GLM_FUNC_DECL genType glm::fastDistance | ( | genType | x,
|  | genType | y
| ) |  |

Faster than the common distance function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastDistance() [2/2]

GLM_FUNC_DECL T glm::fastDistance | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y
| ) |  |

Faster than the common distance function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastInverseSqrt() [1/2]

GLM_FUNC_DECL genType glm::fastInverseSqrt | ( | genType | x | ) |

Faster than the common inversesqrt function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastInverseSqrt() [2/2]

GLM_FUNC_DECL vec<L, T, Q> glm::fastInverseSqrt | ( | vec< L, T, Q > const & | x | ) |

Faster than the common inversesqrt function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastLength() [1/2]

GLM_FUNC_DECL genType glm::fastLength | ( | genType | x | ) |

Faster than the common length function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastLength() [2/2]

GLM_FUNC_DECL T glm::fastLength | ( | vec< L, T, Q > const & | x | ) |

Faster than the common length function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastNormalize() [1/2]

GLM_FUNC_DECL genType glm::fastNormalize | ( | genType | x | ) |

Faster than the common normalize function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastNormalize() [2/2]

GLM_FUNC_DECL vec<L, T, Q> glm::fastNormalize | ( | vec< L, T, Q > const & | x | ) |

Faster than the common normalize function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastSqrt() [1/2]

GLM_FUNC_DECL genType glm::fastSqrt | ( | genType | x | ) |

Faster than the common sqrt function but less accurate.

See also
  GLM_GTX_fast_square_root extension.

## ◆ fastSqrt() [2/2]

GLM_FUNC_DECL vec<L, T, Q> glm::fastSqrt | ( | vec< L, T, Q > const & | x | ) |

Faster than the common sqrt function but less accurate.

See also
  GLM_GTX_fast_square_root extension.